"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.startLiveness = startLiveness;
var _reactNative = require("react-native");
const LINKING_ERROR = `The package 'react-native-vidvliveness' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const Vidvliveness = _reactNative.NativeModules.Vidvliveness ? _reactNative.NativeModules.Vidvliveness : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
function startLiveness(params) {
  return Vidvliveness.startLiveness(params);
}
//# sourceMappingURL=index.js.map